#!/bin/sh

TOPDIR=`pwd`

DESTDIR=munin-plugins-muninexchange-`date +%Y%m%d`
mkdir $DESTDIR
cd $DESTDIR

wget -nv http://exchange.munin-monitoring.org/plugins/ -O index.html
PAGES=`sed -n 's/.*Page 1 of \([0-9]\+\).*/\1/p' index.html`

for n in `seq 1 $PAGES` ; do
	wget --header 'X-Requested-With: XMLHttpRequest' \
			--post-data "callback=Dajax.process&argv={\"p\":\"$n\",\"query_string\":\"\"}" \
			http://exchange.munin-monitoring.org//dajaxice/plugins.pagination_index/ -O - | \
			sed -e 's|>\\t|>\n|g' -e 's|\\t|\t|g' -e 's|\\"|"|g' | \
			$TOPDIR/listplugins.pl | while IFS=';' read pname pcat purl ; do
		mkdir -p "$pcat"
		wget $purl -O "$pcat/$pname"
	done
done

# these are non-linux
rm -f \
network/ifem_ \
other/pf \
system/cpuutil \
system/dar_* \
system/ipfwcnt_ \
system/ipfwnat_ \
system/portaudit \
system/raminfo \
system/solaris-memstat \
system/swapspace-info \
system/uptime_bsd \
system/zfs-* \
system/zlist \
system/zpool_iostat

# those are present in munin
rm -f \
network/freeradius_auth \
network/freeradius_proxy_acct \
network/freeradius_proxy_auth \
network/tcp \
other/amavis \
other/asterisk_sippeers \
other/buddyinfo \
other/cpuspeed \
other/ejabberd_ \
other/fail2ban \
other/freeradius_acct \
other/iostat \
other/ircu \
other/lpar_cpu \
other/multiping \
other/multips \
other/mysql_innodb \
other/nfs4_client \
other/nginx_request \
other/nginx_status \
other/perdition \
other/postfix_mailstats \
other/processes \
other/selinux_avcstat \
other/slapd_ \
other/slapd_bdb_cache_ \
other/snmp__if_ \
other/snmp__netapp_diskusage_ \
other/snmp__netapp_inodeusage_ \
other/snmp__netstat \
other/snmp__swap \
other/snmp__uptime \
other/uptime \
other/users \
other/varnish_ \
other/vserver_cpu_ \
other/vserver_loadavg \
other/vserver_resources \
system/cpu \
system/hddtemp \
system/hddtemp_smartctl \
system/ipmi_ \
system/sensors_ \
system/smart_

rm -f index.html

cd ..
cp getplugins.sh listplugins.pl $DESTDIR

tar cjf $DESTDIR.tar.bz2 $DESTDIR
